org.apache.cassandra.repair.messages

## Interface RepairMessage.MessageSerializer<T extends RepairMessage>

- All Superinterfaces:
    IVersionedSerializer<T>
  All Known Implementing Classes:
    AnticompactionRequest.AnticompactionRequestSerializer, CleanupMessage.CleanupMessageSerializer, PrepareMessage.PrepareMessageSerializer, RepairMessage.RepairMessageSerializer, SnapshotMessage.SnapshotMessageSerializer, SyncRequest.SyncRequestSerializer, ValidationRequest.ValidationRequestSerializer
  Enclosing class:
    RepairMessage

      public static interface RepairMessage.MessageSerializer<T extends RepairMessage>
      extends IVersionedSerializer<T>

- - ### Method Summary

    - ### Methods inherited from interface org.apache.cassandra.io.IVersionedSerializer

      `deserialize, serialize, serializedSize`

Copyright © 2018 The Apache Software Foundation